MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001399Orfeo Toolbox (OTB)Generalpublic2017-05-10 16:562017-09-18 16:13
Reporterrashadkm 
Assigned Togpasero 
PriorityurgentSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Summary0001399: missing include_directories call when building external projects
Descriptionwhen building external projects otb include directories call from OTB_USE_FILE are not honoured.

find_package(OTB)
include(OTB_USE_FILE)

inside this "OTB_USE_FILE" there is a call to cmake's include_directories()

This is not taken into account when building on windows.

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004271)
gpasero (administrator)
2017-09-07 17:43

Check with new packages
(0004292)
gpasero (administrator)
2017-09-15 17:47

As the dashboard now tests the build of examples from packages, I guess this issue is already fixed.
Rashad, do you agree ?
(0004303)
rashadkm (developer)
2017-09-18 15:39

agreed

- Issue History
Date Modified Username Field Change
2017-05-10 16:56 rashadkm New Issue
2017-09-07 17:43 gpasero Note Added: 0004271
2017-09-07 17:43 gpasero Priority normal => urgent
2017-09-15 17:47 gpasero Note Added: 0004292
2017-09-15 17:47 gpasero Assigned To => gpasero
2017-09-15 17:47 gpasero Status new => feedback
2017-09-18 15:39 rashadkm Note Added: 0004303
2017-09-18 15:39 rashadkm Status feedback => assigned
2017-09-18 16:13 gpasero Status assigned => closed
2017-09-18 16:13 gpasero Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker